Submit a question to our community and get an answer from real people.
Submit

Why can't I update my IPod touch 4 to IOS 7?

I really want to update it but it says I can't

Report as

Only the iPod touch fifth generation supports iOS 7

Helpful Fun Thanks for voting Comments (0)
Report as
Add a comment...

Because it's only for ipod 5 and iphone 5

Helpful Fun Thanks for voting Comments (2)
Report as
rshackleford
Wrong. iPhone 4 gets it too. I updated mine already.
Report as
Oh lol k
Report as
Add a comment...
Do you have an answer?
Answer this question...
Did you mean?
Login or Join the Community to answer
Popular Searches